#
# spec file for package ppp (Version 2.4.2)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  libpcap linux-atm-devel linux-atm-lib pam-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils gcc gdbm gettext libpcap libtool linux-atm-devel linux-atm-lib pam-devel perl rpm

Name:         ppp
URL:          http://www.samba.org/ppp/
Version:      2.4.3
Release:      1
License:      LGPL, BSD
Group:        Productivity/Networking/PPP
Autoreqprov:  on
Provides:     ppp_ssl
Obsoletes:    ppp_ssl ppp-soho
Summary:      The Point to Point Protocol for Linux
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Source0:      ftp://ftp.samba.org:/pub/ppp/ppp-%{PACKAGE_VERSION}.tar.bz2
# config for pam
Source1:      ppp.pamd
# templates for secrets
Source2:      pap-secrets.template
Source3:      chap-secrets.template
# options and filters files
Source5:      options
Source6:      filters
# several peers file
Source8:      pppoe-peers
Source9:      pppoe-rp-peers
Source10:     pppoatm-peers
Source11:     ppp-peers
Source12:     pptp-peers
# Makefile changes
Patch0:       ppp-2.4.2-make.diff
# force pppd use the glibc's logwtmp instead of implementing its own
Patch1:       ppp-2.4.2-logwtmp.diff
# replacedefaultroute option
Patch2:       ppp-2.4.2-cifdefroute.diff
# misc tiny stuff
Patch3:       ppp-2.4.2-misc.diff
# pppoatm patch
#Patch4:       ppp-2.4.2-pppoatm.diff
# more log output for smpppd
Patch5:       ppp-2.4.2-smpppd.diff
# allow higher serial speeds
Patch6:       ppp-2.4.1-higher-speeds.diff
# fixed use of libpcap including dial on demand
#Patch7:       ppp-2.4.2-libpcap.diff
# ctl-c bug (as posted on mailing list)
#Patch8:       ppp-2.4.2-ctl-c.diff
# void functions should be declared as such
#Patch9:       ppp-2.4.2-pppdump-void-decl.diff
# allow all names as ethernet interfaces
#Patch10:      ppp-2.4.2-all-ethernet.diff
# option to rename ppp interface
Patch11:      ppp-2.4.2-ifname.diff
# Don't use __P from glibc (pppd uses it wrong)
Patch12:      ppp-2.4.2-__P.diff

%description
The ppp package contains the PPP (Point-to-Point Protocol) daemon,
pppd, additional PPP utilities, documentation, and sample files. PPP
provides a method for transmitting IP and IPX datagrams over serial
point-to-point links, for example over a modem. The PPP daemon handles
the details of setting up a PPP link including configuring the network
interface and performing the PPP negotiations.



Authors:
--------
    Paul Mackerras <paul.mackerras@cs.anu.edu.au>
    Michael Callahan <callahan@maths.ox.ac.uk>
    Al Longyear <longyear@netcom.com>
    Brad Parker <brad@faster.fcr.com>
    Greg Christy <gmc@premises1.Qutoron.COM>
    Michal Ostrowski <mostrows@styx.uwaterloo.ca>

%package devel
Summary:      Header Files Required for Developing Plugins for pppd
Group:        Development/Libraries/C and C++
Requires:     ppp = %version

%description devel
The package ppp-devel contains C header files required for developing
plugins for the pppd.



Authors:
--------
    Paul Mackerras <paul.mackerras@cs.anu.edu.au>
    Michael Callahan <callahan@maths.ox.ac.uk>
    Al Longyear <longyear@netcom.com>
    Brad Parker <brad@faster.fcr.com>
    Greg Christy <gmc@premises1.Qutoron.COM>
    Michal Ostrowski <mostrows@styx.uwaterloo.ca>

%prep
%setup
%patch0
%patch1
%patch2
%patch3
%ifnarch mips s390 s390x
#%patch4
%endif
%patch5
%patch6
#%patch7 -p1
#%patch8
#%patch9 -p1
#%patch10
%patch11
%patch12

%build
export MY_CFLAGS="$RPM_OPT_FLAGS"
./configure  --prefix=/usr
make CHAPMS=1 CBCP=1 USE_CRYPT=1 HAS_SHADOW=1 USE_PAM=1 FILTER=1

%install
make install MANDIR=%{buildroot}/%{_mandir} DESTDIR=%{buildroot}/usr
install -d -m 750		%{buildroot}/etc/ppp
install -m 644 %{S:5}		%{buildroot}/etc/ppp/options
install -m 644 %{S:6}		%{buildroot}/etc/ppp/filters
install -m 600 %{S:2}		%{buildroot}/etc/ppp/pap-secrets
install -m 600 %{S:3}		%{buildroot}/etc/ppp/chap-secrets
install -d 755			%{buildroot}/etc/ppp/peers
install -m 644 %{S:8}		%{buildroot}/etc/ppp/peers/pppoe
install -m 644 %{S:9}		%{buildroot}/etc/ppp/peers/pppoe-rp
%ifnarch mips s390 s390x
install -m 644 %{S:10}		%{buildroot}/etc/ppp/peers/pppoatm
%endif
install -m 644 %{S:11}		%{buildroot}/etc/ppp/peers/ppp
install -m 644 %{S:11}		%{buildroot}/etc/ppp/peers/pptp
install -d 755			%{buildroot}/etc/pam.d
install -m 644 %{S:1}		%{buildroot}/etc/pam.d/ppp

%clean
rm -rf %{buildroot}

%files
%defattr (-, root, root)
%dir /etc/ppp/peers
%config(noreplace) /etc/ppp/options
%config(noreplace) /etc/ppp/filters
%config(noreplace) /etc/ppp/pap-secrets
%config(noreplace) /etc/ppp/chap-secrets
%config(noreplace) /etc/ppp/peers/*
%config(noreplace) /etc/pam.d/ppp
%doc FAQ README* SETUP scripts
%doc %{_mandir}/*/*
%attr (-, root, dialout) /usr/sbin/pppd
/usr/sbin/chat
/usr/sbin/pppdump
/usr/sbin/pppstats
/usr/sbin/pppoe-discovery
/usr/lib/pppd

%files devel
%defattr (-, root, root)
/usr/include/pppd

%changelog -n ppp
* Thu Jan 20 2005 - joe_morris@ntm.org
- update to 2.4.3
* Tue Sep 21 2004 - kkeil@suse.de
- fix dial on demand; outbound must flagged with 1 not 0xff (#45694)
* Sun Sep 12 2004 - kukuk@suse.de
- Don't use __P from glibc
* Wed Aug 25 2004 - kkeil@suse.de
- use DLT_PPP_WITHDIRECTION for the filters to be compatible with
  kernel 2.6.8
* Tue Jul 20 2004 - arvin@suse.de
- added option to rename ppp interface (experimental)
* Mon Jul 19 2004 - arvin@suse.de
- allow all names as Ethernet interfaces (bug #43048)
* Tue Jul 13 2004 - arvin@suse.de
- removed non-ascii character from option file
* Fri May 28 2004 - kkeil@suse.de
- correct fix for the DOD filter rule paket header (see bug #34724)
* Fri Apr 16 2004 - mmj@suse.de
- Void functions should be declared as such
* Wed Mar 31 2004 - arvin@suse.de
- fixed filter rules for dial on demand (see bug #34724)
* Wed Feb 18 2004 - arvin@suse.de
- fixed setting of filter rules (bug #34569)
* Fri Feb 13 2004 - arvin@suse.de
- updated pppoatm plugin (bug #34543)
- fixed ctl-c bug
* Fri Feb 13 2004 - arvin@suse.de
- updated to version 2.4.2, main features:
- new upstream PPPoE plugin implementation
- new upstream MPPE implementation
- many protocols (CHAP, CBCP, EAP, ECP) added or updated
- build package as non-root user
- build sub-package ppp-devel with header files required for
  extra plugins
* Thu Feb 12 2004 - arvin@suse.de
- removed outdated samples
- some cleanup
* Thu Feb 12 2004 - ro@suse.de
- adapt to change in libpcap: include moved to pcap_bpf.h
* Mon Jan 26 2004 - arvin@suse.de
- allow higher serial speeds (see bug #34053)
* Fri Jan 16 2004 - kukuk@suse.de
- Add pam-devel to neededforbuild
* Fri Jan 09 2004 - kukuk@suse.de
- Fix compiler warnings
* Wed Aug 13 2003 - arvin@suse.de
- allow vlan devices for pppoe (bug #28645)
* Mon Jun 30 2003 - arvin@suse.de
- fixed closing of pppoatm (bug #27315)
- fixed pppoe on ppc (bug #27575)
* Thu Jun 05 2003 - arvin@suse.de
- converted MSCHAPv2-fix patch to unix format as new patch
  doesn't like dos anymore
* Tue Jun 03 2003 - arvin@suse.de
- added peers file for pptp
* Mon May 26 2003 - arvin@suse.de
- adapted neededforbuild to linux-atm changes
* Thu May 22 2003 - okir@suse.de
- prevent buffer overflow in MPPE (#27062)
* Wed Mar 12 2003 - arvin@suse.de
- activate filter rules per default (bug #25134)
* Sat Jan 18 2003 - arvin@suse.de
- added config file with some filter rules
* Fri Jan 10 2003 - arvin@suse.de
- Reactivated option noipdefault in default options file since
  some providers can't handle a suggested local ip address. Can't
  reproduce the wrong behaviour of the pppd mentioned in bug #1751
  so the change is ok.
* Thu Dec 12 2002 - arvin@suse.de
- removed absolute paths from pam configuration file
* Wed Nov 13 2002 - arvin@suse.de
- fixed multi-line string literals
* Thu Oct 24 2002 - arvin@suse.de
- fixed callback phone number handling (bug #9659 and #18408)
- activated patches added on Aug. 1st
* Fri Aug 23 2002 - arvin@suse.de
- remove a warning message in the log (bug #18254)
- removed obsolete peers file demand
* Tue Aug 06 2002 - arvin@suse.de
- added "plain old modem" peers file (related to bug #17341)
* Thu Aug 01 2002 - bk@suse.de
- add patches recommeded for pptp which also fix bug 17097
* Thu Jul 25 2002 - arvin@suse.de
- disable pppoatm plugin on s390 and s390x
* Mon Jul 08 2002 - arvin@suse.de
- removed setuid bits from pppd (bug #16860)
* Thu May 16 2002 - arvin@suse.de
- compile with packet filter support
* Wed May 15 2002 - arvin@suse.de
- enable more debugging for pppoe if the pppd gets the debug
  option
* Mon May 13 2002 - ro@suse.de
- fix build on x86_64
* Fri Apr 19 2002 - arvin@suse.de
- disable pppoatm plugin on mips (since linux-atm does not build)
* Tue Apr 16 2002 - arvin@suse.de
- turn off debugging by default
* Wed Mar 13 2002 - arvin@suse.de
- better mtu handling as workaround for broken dsl providers
* Fri Feb 08 2002 - arvin@suse.de
- fixed error handling in passwordfd plugin
* Fri Feb 08 2002 - okir@suse.de
- applied security fix to zlib
* Tue Feb 05 2002 - arvin@suse.de
- more log output without debug option so that the smpppd does
  not require the debug option
- removed debug option from peers files
- use %%{_mandir}
* Wed Jan 30 2002 - arvin@suse.de
- use buildroot
- compile pppoatm plugin on all archs again
* Fri Jan 11 2002 - arvin@suse.de
- added terminating NULL in options list of passwordfd plugin
* Fri Jan 11 2002 - arvin@suse.de
- don't compile pppoatm plugin on axp and s390
* Wed Jan 09 2002 - arvin@suse.de
- added "modprobe pppoatm" in pppoatm plugin
* Tue Jan 08 2002 - arvin@suse.de
- fixed compiling on ia64
* Mon Jan 07 2002 - arvin@suse.de
- added atm support
- modified peers files for new network configuration
* Mon Nov 05 2001 - arvin@suse.de
- set MTU and MRU to 1492 (to prevent problems for DSL)
* Thu Sep 27 2001 - arvin@suse.de
- added rc-pppoe peers file
* Wed Sep 19 2001 - arvin@suse.de
- added patch only-eth.dif: makes pppoe plugin only accect eth*
  as device and thus prevents kernel from trying to load dozens
  of modules (bug #10845)
* Tue Aug 28 2001 - arvin@suse.de
- strip plugins
* Mon Aug 13 2001 - arvin@suse.de
- updated pppoe patch to ppp-2.4.1-pppoe.patch4
* Thu Aug 09 2001 - arvin@suse.de
- added Obsoletes ppp-soho
- added peers file pppoe
* Tue Jul 17 2001 - arvin@suse.de
- added directories to file list
* Wed Jul 11 2001 - arvin@suse.de
- removed obsolete generation of pap and chap secrets form
  wvdial provider list
* Sun Jun 24 2001 - arvin@suse.de
- updated to version 2.4.1
- added peers file "demand" (from package pppoed)
* Thu May 10 2001 - mfabian@suse.de
- bzip2 sources
* Fri Apr 20 2001 - arvin@suse.de
- added options lcp-max-configure 60 and lcp-restart 2
* Fri Mar 30 2001 - arvin@suse.de
- added mppe patch
- search for plugins in /usr/lib/pppd/<version> (backport from
  pppd 2.4.1)
- moved all plugins to /usr/lib/pppd/<version>
* Wed Feb 28 2001 - arvin@suse.de
- moved all plugins to /usr/lib/pppd/plugins
* Thu Feb 15 2001 - arvin@suse.de
- included pppoe patch from Michal Ostrowski
* Thu Nov 09 2000 - arvin@suse.de
- updated to version 2.4.0
* Mon Sep 11 2000 - arvin@suse.de
- Fixed plugin passwordfd for chap.
* Mon Jul 31 2000 - arvin@suse.de
- Added (commented) option "maxfail 3" to options. Partly fix
  for bug #3637.
* Thu Jul 13 2000 - arvin@suse.de
- removed directory /var/state/pppd from spec file. It is not
  needed and only got there by accident.
* Mon Jul 10 2000 - bk@suse.de
- fixed bug with replacedefaultroute and dial on demand(route was lost)
- fixed Open message of demand patch for ICMP(was displayed as UDP)
* Tue Jul 04 2000 - arvin@suse.de
- Support for dial on demand with sync ppp.
- On dial on demand log witch packed caused the connect. Example:
  Open UDP 212.185.229.193:2048 -> 216.32.74.51:22926
- Fixed plugin passwordfd for dial on demand.
* Mon Jun 05 2000 - arvin@suse.de
- fixed bug in plugin passwordfd
* Fri Jun 02 2000 - arvin@suse.de
- added plugin passwordfd to read password via a pipe
- replacedefaultroute option fixed for pppd demand
* Fri Mar 03 2000 - ro@suse.de
- manpages ..
* Thu Mar 02 2000 - bk@suse.de
- fixed patch path strip count for ppp-2.3.11.dif
- added comment about modem and local options to /etc/ppp/options
* Wed Mar 01 2000 - bk@suse.de
- copied ppp-2.3.11.dif from ppp_ssl(fixes MANPATH) and filelist fixed.
* Sat Feb 26 2000 - bk@suse.de
- removed priviledged property from (no)replacedefaultroute, this
  way wvdial can set it in /etc/ppp/peers/wvdial with call wvdial.
* Fri Feb 25 2000 - bk@suse.de
- disabled new replacedefaultroute option per default, can be controlled
  thru the replacedefaultroute and noreplacedefaultroute options.
* Fri Feb 25 2000 - bk@suse.de
- wrote patch which replaces the old defaut route on successfully
  completed IPCP negotiation unless the included noreplacedefaultroute
  option is given. Documented in the man page and /etc/ppp/options.
  On connection shutdown, the old default route is restored automatically.
  Nice feature for many people with laptops which have a default
  route set trough their ethernet and want go online with their
  modem if not connected to the ethernet. Should reduce support
  load in this area dramatically.
* Sun Feb 20 2000 - bk@suse.de
- only change tty perms really needed, will avoid the loosing tty
  perms bug (bug #1831 and 1361)
- disabled noipdefault in the default options file for static IP addresses
  and dial-in. wvdial still passes it to pppd if Force Address is not
  set in wvdial.conf, so no problem. (Fix for bug #1751)
* Fri Feb 11 2000 - bk@suse.de
- generate pap and chap secrets with callbycall.secrets
- Makefile.Linux merged into the spec file and dropped from diff
* Sun Jan 16 2000 - bk@suse.de
- update to ppp-2.3.11
* Fri Oct 29 1999 - bk@suse.de
- added logins for german call-by-call providers to the secrets
- removed suse dialin scripts
* Mon Oct 25 1999 - olh@suse.de
- add some sample scripts, minor sample changes
* Sun Oct 24 1999 - bk@suse.de
- fix for empty files in /usr/doc/packages/ppp (olh: thanks for the report!!)
* Sun Oct 10 1999 - bk@suse.de
- update to ppp-2.3.10
- split up diff
- removed not installed ppplogin which also didn't appear in the
  file list lately
- removed proxyarp from the default options file
- force pppd use the glibc's logwtmp instead of implementing its own
  (patch for ppp-2.3.9, but is preferred for 2.3.10 also)
- added the samples to /usr/doc/packages/ppp
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kukuk@suse.de
- add pppdump.8
* Thu Aug 19 1999 - bk@suse.de
- added documentation
* Thu Jul 29 1999 - bs@suse.de
- set /etc/ppp to 750, root.dialout
- use noauth in /etc/ppp/options
* Sat Jul 17 1999 - bk@suse.de
- /etc/ppp/option fixed wins-addr, corrected to ms-wins
* Mon Jun 14 1999 - kukuk@suse.de
- Enable PAM support, add ppp.pamd
* Sat May 22 1999 - bk@suse.de
- update to ppp-2.3.8 using diff from jurix
- added ppp-2.3.8-patch1
- marked /etc/ppp/options as noreplace
* Mon Dec 14 1998 - tmg@suse.de
- changed default config
* Wed Dec 09 1998 - bs@suse.de
- marked config files as noreplace
* Tue Nov 24 1998 - ro@suse.de
- don't pack if_ppp.h (delivered by glibc)
* Tue Oct 06 1998 - ro@suse.de
- update to ppp-2.3.5 using diff from jurix
- re-activate ppp_available in sys-linux.c
* Mon Nov 03 1997 - ro@suse.de
- install include files in usr/include/net before compilation
* Wed Apr 30 1997 - florian@suse.de
- create eror output file with perm 0600
- pppd is only executable for group "dialout"
* Thu Jan 02 1997 - florian@suse.de
- add bug-fix
- add ipx support
